
RADOS - Bug #43552

nautilus: OSDMonitor: SIGFPE in OSDMonitor::share_map_with_random_osd

01/10/2020 07:26 PM - Patrick Donnelly

Status: Resolved % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Q/A Affected Versions: v14.2.6

Tags: low-hanging-fruit ceph-qa-suite:  

Backport: nautilus Component(RADOS): Monitor

Regression: No Pull request ID: 32764

Severity: 2 - major Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

2020-01-08T02:58:08.759 INFO:tasks.ceph.mon.b.smithi022.stderr:*** Caught signal (Floating point e

xception) **

2020-01-08T02:58:08.760 INFO:tasks.ceph.mon.b.smithi022.stderr: in thread 7f3bff1f6700 thread_name

:fn_monstore

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: ceph version 14.2.5-99-g7556dab (7

556dabec1dd00d162c2f53c585ae195cd33a332) nautilus (stable)

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: 1: (()+0xf630) [0x7f3c0c7c1630]

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: 2: (OSDMonitor::share_map_with_ran

dom_osd()+0x165) [0x556f064d6135]

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: 3: (OSDMonitor::update_from_paxos(

bool*)+0x1810) [0x556f06527b30]

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: 4: (PaxosService::refresh(bool*)+0

x103) [0x556f064b0433]

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: 5: (Monitor::refresh_from_paxos(bo

ol*)+0x194) [0x556f063b4604]

2020-01-08T02:58:08.761 INFO:tasks.ceph.mon.b.smithi022.stderr: 6: (Paxos::do_refresh()+0x53) [0x5

56f064a01a3]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 7: (Paxos::commit_finish()+0x4f0) 

[0x556f064ab1c0]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 8: (C_Committed::finish(int)+0x34)

 [0x556f064af3c4]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 9: (Context::complete(int)+0x9) [0

x556f063e79f9]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 10: (MonitorDBStore::C_DoTransacti

on::finish(int)+0x94) [0x556f064af134]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 11: (Context::complete(int)+0x9) [

0x556f063e79f9]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 12: (Finisher::finisher_thread_ent

ry()+0x16f) [0x7f3c0fa5a21f]

2020-01-08T02:58:08.762 INFO:tasks.ceph.mon.b.smithi022.stderr: 13: (()+0x7ea5) [0x7f3c0c7b9ea5]

2020-01-08T02:58:08.763 INFO:tasks.ceph.mon.b.smithi022.stderr: 14: (clone()+0x6d) [0x7f3c0b67d8cd

]

 

From:

/ceph/teuthology-archive/yuriw-2020-01-07_16:30:00-kcephfs-wip-yuri-testing-2020-01-06-2017-nautilus-distro-basic-smithi/4645213/

teuthology.log

Related issues:

Copied to RADOS - Backport #43821: nautilus: nautilus: OSDMonitor: SIGFPE in ... Resolved
History

#1 - 01/20/2020 05:54 PM - Josh Durgin

- Tags set to low-hanging-fruit

#2 - 01/21/2020 09:10 PM - Sage Weil

- Status changed from New to Fix Under Review

- Pull request ID set to 32764

#3 - 01/21/2020 09:10 PM - Sage Weil

- Backport set to nautilus

#4 - 01/26/2020 03:54 AM - Kefu Chai

- Status changed from Fix Under Review to Pending Backport

#5 - 01/26/2020 10:40 AM - Nathan Cutler

- Copied to Backport #43821: nautilus: nautilus: OSDMonitor: SIGFPE in OSDMonitor::share_map_with_random_osd added

#6 - 02/14/2020 09:28 AM - Nathan Cutler

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".
